function appointment_type_begaviour(selectObj, outObject,api_call) {
  var appointment_types_data = null;

  function get_appointment_type_by_id(id) {
    for (var i=0 ;i <appointment_types_data.length;i++) {
      if (id == appointment_types_data[i].id) {
        return appointment_types_data[i];
      }
    }
    return null;
  }
  function compute_time(object) {
    var vals = object.val();
    var time = 0;
    var max_paralel_time = 0;
    for (var i=0;i<vals.length;i++) {
      var appointment_type = get_appointment_type_by_id(vals[i]);
      if (appointment_type== null) {
        console.log("Cannot find appointment type with id: "+vals[i]);
      } else {
        if (appointment_type.can_be_parallelized) {
          max_paralel_time = Math.max(max_paralel_time,appointment_type.default_duration);
        } else {
          time +=appointment_type.default_duration;
        }
      }
    }
    time = Math.max(time, max_paralel_time)
    $(outObject).val(time+"");
  }
  $(selectObj ).change(function() {
    var object = $(this)
    if (appointment_types_data===null) {
      $.get(api_call, function(data) {
        appointment_types_data= data.appointment_types;
        compute_time(object);
      });
    } else {
      compute_time(object);
    }

  });

}
